/*  SciGraphica - Scientific graphics and data manipulation
 *  Copyright (C) 2000 Adrian E. Feiguin <feiguin@ifir.edu.ar>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __SG_MAIN_H__
#define __SG_MAIN_H__

#include "sg_misc.h"
#include "sg_worksheet.h"
#include "sg_worksheet_file.h"
#include "sg_worksheet_file_html.h"
#include "sg_worksheet_file_ascii.h"
#include "sg_worksheet_file_tex.h"
#include "sg_worksheet_file_xml.h"
#include "sg_plot_file.h"
#include "sg_plot_file_xml.h"
#include "sg_clipboard.h"
#include "sg_dataset.h"
#include "sg_layer.h"
#include "sg_plot.h"
#include "sg_entry.h"
#include "sg_dialogs.h"
#include "sg_text_dialog.h"
#include "sg_toolbox.h"
#include "sg_plot_tools.h"
#include "sg_project.h"
#include "sg_project_file_xml.h"
#include "sg_project_file_sax.h"
#include "sg_menus.h"
#include "sg_file.h"

GtkWidget *main_window;
GtkWidget *file_menu;
GtkWidget *menu;
GtkWidget *menu_bar;
GtkWidget *root_menu;
GtkWidget *menu_item;
GtkWidget *button[4][2];
GtkWidget *gui_notebook;
GtkWidget *scrollw1;
GtkWidget *scrollw2;
GtkWidget *iconlist1;
GtkWidget *iconlist2;
GtkIconListItem *active_icon;

SGworksheet *active_worksheet;
SGplot *active_plot;
SGlayer *active_layer;
SGdataset *active_dataset;

GtkWidget *worksheet_popup;
GtkWidget *plot_popup;

GtkWidget *worksheet_menu;
GtkWidget *plot_menu;

gint num_worksheets;
gint num_plots;
gint last_worksheet;
gint last_plot;

gchar *last_worksheet_path;
gchar *last_worksheet_filename;
gchar *last_plot_path;
gchar *last_plot_filename;
gchar *last_project_path;
gchar *last_project_filename;

GList *worksheets;
GList *plots;

enum
{
  SG_DELIMITER_UNKNOWN,
  SG_DELIMITER_COMMA,
  SG_DELIMITER_TAB,
};

gint delimiter;
gboolean use_custom_delimiter;
gchar *custom_delimiter;
gint skip_lines;
gboolean rename_columns;
gboolean rename_worksheets;
gboolean rename_plots;


#endif __SG_MAIN_H__
