/*  SciGraphica - Scientific graphics and data manipulation
 *  Copyright (C) 2000 Adrian E. Feiguin <feiguin@ifir.edu.ar>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __SG_LAYER_H__
#define __SG_LAYER_H__

typedef struct _SGlayer SGlayer;

struct _SGlayer 
{
  gpointer parent;

  gint rescale;

  GtkWidget *real_plot;

  GtkWidget *button;

  GList *datasets;
};

SGlayer 	*sg_layer_new			(gdouble width, gdouble height);
void		sg_layer_add_dataset		(SGlayer *layer,
						 SGdataset *dataset);
void		sg_layer_remove_dataset		(SGlayer *layer,
						 SGdataset *dataset);
void		sg_layer_button_set_label	(SGlayer *layer, gint label);

#endif /* __SG_LAYER_H__ */
